<!DOCTYPE html>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <title>Perle Chat</title>

    <meta charset="UTF-8">
    <meta name="description" content="Your Website-Description">
    <meta name="keywords" content="HTML, CSS, JavaScript, Material">
    <meta name="author" content="Gruppe C">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="shortcut icon" type="image/png" href="favicon.png">

    <link rel="stylesheet" href="css/style.css">

    <!-- Dependencies -->
    <script src="http://www.myersdaily.org/joseph/javascript/md5.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

    <!-- Javascript -->
    <script src="js/utility.js"></script>
    <script src="js/data.js"></script>
    <script src="js/view.js"></script>

</head>

<body>
    <nav class="blue-grey lighten-2">
        <div class="nav-wrapper" style="margin-left: 15px">
            <a href="." class="brand-logo left" style="margin-left: 15px"><i class="material-icons">message</i><span
                    class="hide-on-small-only">Perle Chat</span></a>
            <ul class="right">
                <li><a class="modal-trigger" href="#addTeam" ><i class="material-icons">add</i></a></li>
                <li><a onclick="preformRefresh()"><i class="material-icons">refresh</i></a></li>
                <li><a onclick="performLogout()"><i class="material-icons">logout</i></a></li>
            </ul>
        </div>
    </nav>


    <div style="height: 10px"></div>

    <div class="container">
        <div class="row">

            <div class="col s3" id="teamsContent">
                <!-- Filled by JS -->
            </div>

            <div class="col s9" style="padding: 0 50px;">
                
                <div class="row">

                    <div class="input-field col s9">
                        <input placeholder="Write your message here..." id="messageBox" type="text" class="validate">
                    </div>

                    <div class="col s2">
                        <button class="blue-grey lighten-2 btn waves-effect waves-light" type="submit" name="action" onclick="sendMessage()"
                            style="margin-top: 20px;float:right">Send
                            <i class="material-icons right">send</i>
                        </button>                        
                    </div>

                </div>

                <div class="row">
                    <div class="col s11" id="chatContent">
                        <!-- Filled by JS -->
                    </div>
                </div>

            </div>

        </div>

    </div>

</body>


<!-- Modals -->

<!-- Login Modal -->
<div id="loginModal" class="modal">
    <div class="modal-content">
        <h4>Welcome to Perle Chat</h4>
        <p>Please enter your login details, if you don't have any, please ask someone for an invite link.</p>
        <div class="row">
                
            <div class="input-field col s12">
                <input id="loginUsername" type="text" class="validate">
                <label for="loginUsername">Username</label>
            </div>

            <div class="input-field col s12">
                <input id="loginPassword" type="password" class="validate">
                <label for="loginPassword">Password</label>
            </div>

          </div>
    </div>
    <div class="modal-footer">
        <a id="loginSubmitButton" class="btn">Login</a>
    </div>
</div>

<!-- Create Team Modal -->
<div id="addTeam" class="modal dismissible">
    <div class="modal-content">
      <br>
      <h4>Create a new team</h4>
      <p>Create a team to communicate with others.</p>
      <div class="input-field col s12">
        <input id="addTeamName" type="text" class="validate" minlength="1" maxlength="50">
        <label for="addTeamName">Teamname</label>
      </div>
    </div>
    <div class="modal-footer">
        <a class="btn">Create</a>
    </div>
  </div>



<!-- Register Modal -->
<!-- TODO: MOVE TO SEPERATE FILE -->
<div id="registerModal"  class="modal modal-fixed-footer">
    <div class="modal-content">
        <h4>Welcome to Perle Chat!!!</h4>
        <p>You've been inviterd to join the team INSERT TEAM NAME HERE.</p>

        <div class="input-field col s12">
            <input id="registerUsername" type="text" class="validate" minlength="3" maxlength="50">
            <label for="registerUsername">Username</label>
        </div>

        <div class="input-field col s12">
            <input id="registerPassword" type="password" class="validate" minlength="10" maxlength="420">
            <label for="registerPassword">Password</label>
        </div>

        <div class="row s12" style="display: flex;justify-content: space-around;">
            <img class="pfp" src="../img/Cat.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Dog.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Elephant.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Giraffe.png" onclick="getElement('registerPfpUrl').value = this.src">
        </div>
        <div class="row s12" style="display: flex;justify-content: space-around;">
            <img class="pfp" src="../img/Koalabear.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Monkey.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Mouse.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Panda.png" onclick="getElement('registerPfpUrl').value = this.src">
        </div>
        <div class="row s12" style="display: flex;justify-content: space-around;">
            <img class="pfp" src="../img/Pig.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Rabbit.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Hippo.png" onclick="getElement('registerPfpUrl').value = this.src">
            <img class="pfp" src="../img/Tieger.png" onclick="getElement('registerPfpUrl').value = this.src">
        </div>

        <div class="col s12">
            <p>To finish the registration of your user, please click your prefered pfp, or enter a link here yourself</p>
            <div class="input-field col s12">
                <input id="registerPfpUrl" type="url" class="validate" placeholder="https://example.com/helloWorld.png...">
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <a id="registerSubmitButton" class="btn">Register</a>
    </div>
</div>


</html>

<script>
    window.addEventListener('DOMContentLoaded', () => {
        M.Modal.init(document.querySelectorAll('.modal'), {dismissible:false});
        M.Modal.init(document.querySelectorAll('.dismissible'), {dismissible:true});

        // TODO: Make based on cookie and request
        const loggedIn = localStorage.getItem('loginUser') > 0;
        const registerTokenPresent = false;

        // The user presented a registration token
        if (registerTokenPresent)
            // the user is logged in
            if (loggedIn)
                console.log("TODO: Implement this ability, to add teams to an existing account")
            // the user is not logged in and will be able to register
            else {
                M.Modal.getInstance(document.getElementById('registerModal')).open();
                addJS2Dom('js/_register.js');
            }

        // the user did not present a registration token
        else
            // The user is logged in
            if (loggedIn) {
                fillChatContent();
                fillTeamContent();
            }
            // the user is not logged in
            else {
                M.Modal.getInstance(document.getElementById('loginModal')).open();
                addJS2Dom('js/_login.js');
            }
    });
</script>